.woocommerce select, .woocommerce-page select{
    background-position: calc(100% - 18px) 50%;
}
.ast-article-post .ast-woo-product-category {
    text-transform: uppercase;
    color: var(--grey);
    font-size: 14px;
}
.ast-article-post .woocommerce-Price-amount.amount {
    font-size: 18px;
    font-weight: 700;
}
.ast-shop-toolbar-container .woocommerce-ordering .orderby {
    border: 1px solid var(--grey);
    border-radius: 25px;
    padding-left: 1em;
    padding-right: 1em;
}
/* Produktkacheln mwst und Versandkosten */
.wc-gzd-additional-info.tax-info ,
.wc-gzd-additional-info.shipping-costs-info {
	margin: 0!important;
	display: inline!important;
	padding-right: 5px!important;
    color: var(--ast-global-color-0);
    font-size: .85em!important;
}
.woocommerce-price-suffix {
    display: block; 
    font-size: 12px;
    font-weight: 300;
    opacity: .6;
    color: var(--ast-global-color-1);
}

/* Produkt Einzelseite*/
.woocommerce-product-gallery img {
    border-radius: 25px;
    border: 1px solid var(--grey);
}

.woocommerce-product-gallery #ast-gallery-thumbnails img {
    border: none;
}

.woocommerce-product-gallery #ast-gallery-thumbnails .flex-active-slide:after {
    border-radius: 25px;
}

.woocommerce-product-gallery #ast-gallery-thumbnails .flex-active-slide:focus,
.woocommerce-product-gallery #ast-gallery-thumbnails .flex-active-slide:focus-visible {
    box-shadow: none;
    outline: none;
}

/* Produkt-Listen */
.woocommerce ul.products li.product {
    display: flex;
    flex-direction: column;
}

.woocommerce ul.products li.product .astra-shop-summary-wrap {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
}

.woocommerce ul.products li.product .astra-shop-summary-wrap .ast-loop-product__link {
    margin-bottom: auto;
}

.woocommerce ul.products li.product .astra-shop-summary-wrap .button {
    width: fit-content;
}

.um-produktliste-woocommerce-extern ul.products li.product {
    display: flex !important;
    flex-direction: column !important;
}

.um-produktliste-woocommerce-extern ul.products li.product .astra-shop-summary-wrap {
    display: flex !important;
    flex-direction: column !important;
    flex-grow: 1 !important;
}

.um-produktliste-woocommerce-extern ul.products li.product .astra-shop-summary-wrap .ast-loop-product__link {
    margin-bottom: auto !important;
}

.um-produktliste-woocommerce-extern ul.products li.product .astra-shop-summary-wrap>.button {
    width: fit-content;
    margin-top: auto;
}
.um-produktliste-woocommerce-extern ul.products li.product .astra-shop-summary-wrap:has(.price)>.button {
    margin-top: 0;
}
.woocommerce ul.products li.product .astra-shop-thumbnail-wrap img {
    object-fit: contain;
    aspect-ratio: 1/1;
}

.ast-article-single.product .summary p.price {
    margin-bottom: 25px;
}



.variations .ast-single-variation {
    font-size: 14px;
    line-height: 1.8em;
    border-radius: 25px;
}

.variations .ast-single-variation.active {
    border-color: var(--orange);
}

.variations .ast-single-variation:focus-visible,
.variations .ast-single-variation:focus {
    outline: none;
}

/*
*
* ==========================================
* #Woocommerce Warenkorb
* ==========================================
* (WooCommerce Germanized Fix)
*/
@media (min-width: 768px) {
    .woocommerce-cart #ast-cart-wrapper {
        flex-wrap: nowrap;
        gap: 30px;
    }
    .woocommerce-cart #ast-cart-wrapper .ast-cart-non-sticky {
        width: 60%;
    }
    .woocommerce-cart #ast-cart-wrapper .cart-collaterals {
        width: 40%;
    }
    .woocommerce-cart .wc-proceed-to-checkout a.checkout-button {
        margin-bottom: 0;
    }
}

.cart-collaterals .shop_table th {
    width: 45%;
    word-break: normal;
}
/*
*
* ==========================================
* #Woocommerce Checkout Kasse
* ==========================================
* (WooCommerce Germanized Fix)
*/
.woocommerce-checkout .checkbox-legal {
    margin-bottom: 20px!important;
}
.woocommerce-checkout .checkbox-legal label.woocommerce-form__label {
    line-height: normal;
}
button#place_order {
   width: 100%;
   text-align: center;
   background-color: var(--ast-global-color-01);
}
button#place_order:hover {
    background-color: var(--ast-global-color-1);
}
.woocommerce-checkout-review-order-table {
    width: 100% !important;
    table-layout: fixed !important;
    padding: 1.2em!important;
    margin-bottom: .5em!important;
}

.woocommerce-checkout-review-order-table th.product-name,
.woocommerce-checkout-review-order-table td.product-name {
    width: 65%;
}

.woocommerce-checkout-review-order-table th.product-total,
.woocommerce-checkout-review-order-table td.product-total {
    width: 35%;
    text-align: right;
}

.wc-gzd-cart-item-name-wrapper {
    display: block;
    overflow: hidden;
    word-wrap: break-word;
    overflow-wrap: break-word;
}

.wc-gzd-cart-item-thumbnail {
    float: left;
    width: 50px;
    margin-right: 12px;
}

.wc-gzd-cart-item-thumbnail img {
    max-width: 100% !important;
    height: auto !important;
    border-radius: 4px;
    display: block;
}

.woocommerce-checkout-review-order-table td, 
.woocommerce-checkout-review-order-table th {
    padding: 12px 8px;
    vertical-align: middle;
}

.woocommerce-shipping-methods {
    margin: 0;
    padding: 0;
}

.woocommerce-shipping-methods li {
    list-style: none;
    margin: 0;
}
.woocommerce-checkout-review-order-table th,
.woocommerce-checkout-review-order-table td {
    font-size: 14px !important;
}
/*
*
* ==========================================
* #Woocommerce Warenkorb ENDE
* ==========================================
*
*/







/*
*
* ==========================================
* #Woocommerce Produkt-Kategorien
* ==========================================
*
*/

.products .product img {
    border: 1px solid var(--grey);
    border-radius: 25px;
}

.products .product-category{
    transition: transform 0.4s ease-out;
    border-radius: 25px;
}
.products .product-category:hover{
    transform: translateY(-20px);
    transition: transform 0.4s ease-out;
    box-shadow: 0px 4px 25px -10px #362b2179 !important;
}
.products .product-category h2{
    bottom: 0 !important;
    left: 0 !important;
    right: 0 !important;
    width: 100%;
    border-radius: 25px;
    padding-top: 100px !important;
    background-color: transparent !important;
    background: linear-gradient(0deg, #362B21 10%, #362b2100);
    color: #fff;
    font-size: 1.5em !important;
    letter-spacing: .5px;
    text-transform: none !important;

}
.products .product-category h2 mark{
    color: #fff;
    font-weight: 300;
    font-size: .6em !important;
    text-transform: uppercase;
}

.woof_products_top_panel_ul button, .woof_products_top_panel_ul a{
    padding: 5px 10px;
    border-radius: 25px;
}
.woof_products_top_panel_ul a{
    background-color: var(--ast-global-color-6);
}




/*
*
* ==========================================
* #Woocommerce Produkt-Details
* ==========================================
*
*/
.variations{
    border-collapse: separate;
    border-spacing: 0px 10px;
}

.variations tbody .label{
    margin-bottom: 0px !important;
    letter-spacing: .25px !important;
    font-weight: 400 !important;
}
.variations tbody tr td select{
    border-radius: 10px!important;
}



.variations .reset_variations{
    padding: 5px 10px !important;
    background: var(--e-global-color-astglobalcolor6) !important;
    text-transform: none !important;
    border-radius: 25px!important;
    margin-top: 25px!important;
    margin-bottom: 10px!important;
}
.variations .reset_variations:after{
    content: url(https://www.terrassen-studio.de/wp-content/uploads/2026/03/drehen.svg);
    display: inline-block;
    width: 12px;
    height: 100%;
    margin-left: 6px;
}
